Archived docs.You are viewing v0.13.0. For current guidance, useLatest. Report archive issues onGitHub.
Discover authenticated admin capabilities
GET
/admin/v1/capabilities
const url = 'https://example.com/admin/v1/capabilities';const options = {method: 'GET', headers: {'X-Api-Key': '<X-Api-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/admin/v1/capabilities \ --header 'X-Api-Key: <X-Api-Key>'Returns redacted product capability metadata for posture and supported admin operations.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Admin capabilities for this product runtime
Media typeapplication/json
Example
{ "admin_api_version": "v1", "break_glass": { "currently_available": false, "rate_limit_scope": "none", "supported": false }, "config": { "apply": { "currently_available": false, "requires_signed_input": true, "supported": false, "supported_sources": [] }, "dry_run": { "currently_available": false, "supported": false }, "verify": { "currently_available": false, "supported": false } }, "hot_swap": { "components": [], "currently_available": false, "supported": false }, "listeners": { "admin": { "mode": "shared_with_public", "public_admin_routes": true }, "metrics": { "mode": "shared_with_public", "required_scope": "registry_notary:metrics_read", "requires_admin_scope": false } }, "product": "registry-notary", "reload": { "config_reload": { "currently_available": false, "supported": false }, "resource_reload": { "currently_available": false, "supported": false }, "table_reload": { "currently_available": false, "supported": false } }, "root_transition": { "currently_available": false, "supported": false }, "schema": "registry.admin.capabilities.v1", "supported_posture_tiers": [ "default", "restricted" ]}Missing or invalid credential
Media typeapplication/problem+json
object
code
required
string
detail
required
string
request_id
required
string
status
required
integer format: int32
title
required
string
type
required
string format: uri
key
additional properties
any
Example
{ "code": "auth.missing_credential", "detail": "missing authentication credential", "request_id": "01J00000000000000000000000", "status": 401, "title": "Missing credential", "type": "https://id.registrystack.org/problems/registry-notary/auth/missing_credential"}Caller lacks registry_notary:ops_read scope
Media typeapplication/problem+json
object
code
required
string
detail
required
string
request_id
required
string
status
required
integer format: int32
title
required
string
type
required
string format: uri
key
additional properties
any
Example
{ "code": "auth.scope_denied", "detail": "missing required scope", "request_id": "01J00000000000000000000000", "status": 403, "title": "Scope denied", "type": "https://id.registrystack.org/problems/registry-notary/auth/scope_denied"}